// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: AuthService.proto

package com.entrytask.server.http.common.grpc;

public final class AuthServiceOuterClass {
  private AuthServiceOuterClass() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_entrytask_server_http_common_grpc_authRequest_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_entrytask_server_http_common_grpc_authRequest_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_com_entrytask_server_http_common_grpc_authResponse_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_com_entrytask_server_http_common_grpc_authResponse_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\021AuthService.proto\022%com.entrytask.serve" +
      "r.http.common.grpc\"\034\n\013authRequest\022\r\n\005tok" +
      "en\030\001 \001(\t\")\n\014authResponse\022\014\n\004code\030\001 \001(\005\022\013" +
      "\n\003msg\030\002 \001(\t2\201\001\n\013AuthService\022r\n\007jwtAuth\0222" +
      ".com.entrytask.server.http.common.grpc.a" +
      "uthRequest\0323.com.entrytask.server.http.c" +
      "ommon.grpc.authResponseB\002P\001b\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        });
    internal_static_com_entrytask_server_http_common_grpc_authRequest_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_com_entrytask_server_http_common_grpc_authRequest_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_entrytask_server_http_common_grpc_authRequest_descriptor,
        new java.lang.String[] { "Token", });
    internal_static_com_entrytask_server_http_common_grpc_authResponse_descriptor =
      getDescriptor().getMessageTypes().get(1);
    internal_static_com_entrytask_server_http_common_grpc_authResponse_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_com_entrytask_server_http_common_grpc_authResponse_descriptor,
        new java.lang.String[] { "Code", "Msg", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
